package com.rle.monitor;

/*
 * RLE Surface Crack Detector Graphing Software
 *
 * Copyright (C) 2002 RLE Technologies
 * For more information visit http://www.rletech.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */

/**
 * @author Andy Goth
 * @author Eric Peterson
 * @author Matt Lane
 * @version 0.1
 */

import java.util.*;

/** Selection event sent from a chart. */
public class SelectionEvent extends EventObject {
	/** Constructor. */
	public SelectionEvent(Chart source) {super(source);}

	/** Returns the event source, a chart. */
	public Chart getChart() {return (Chart)source;}

	/** Returns the source's selection object. */
	public Selection getSelection() {return ((Chart)source).getSelection();}

	/** Returns the source's bounds object. */
	public Bounds getBounds() {return ((Chart)source).getBounds2();}
}
